# Generated from tablomat-1.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tablomat

Name: rubygem-%{gem_name}
Version: 1.2.1
Release: 1%{?dist}
Summary: This wrapper provides an interface to iptables
License: MIT
URL: https://gitlab.com/itsape/tablomat
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.9.0
# BuildRequires: rubygem(rspec) < 3.10
# BuildRequires: rubygem(rubocop) >= 0.88.0
# BuildRequires: rubygem(rubocop) < 0.89
# BuildRequires: rubygem(rubocop-performance) >= 1.7.1
# BuildRequires: rubygem(rubocop-performance) < 1.8
# BuildRequires: rubygem(simplecov) >= 0.18.5
# BuildRequires: rubygem(simplecov) < 0.19
BuildArch: noarch

%description
A simple wrapper for iptables.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.2.1-1
- Initial package
